Export PDF Form Data from TypeScript PDF Viewer

16 Feb 20263 minutes to read

The PDF Viewer allows you to export form field data in multiple formats for easy storage or integration. Supported formats:

Available methods

How to export

Use exportFormFields() with an optional destination path and the format type. If destination is omitted the browser prompts the user to download the exported file; when providing a server path, ensure the server is configured to accept and store uploaded files.

Export as FDF

The following example exports form field data as FDF.

<button id="exportFdf">Export FDF</button>
<div id="pdfViewer" style="height: 640px; width: 100%"></div>
document.getElementById('exportFdf')!.addEventListener('click', () => {
  // Destination is optional; if omitted the browser will prompt.
  viewer.exportFormFields('FormData', FormFieldDataFormat.Fdf);
});

Export as XFDF

The following example exports form field data as XFDF.

<button id="exportXfdf">Export XFDF</button>
// ...same imports and viewer initialization as above...
document.getElementById('exportXfdf')!.addEventListener('click', () => {
  viewer.exportFormFields('FormData', FormFieldDataFormat.Xfdf);
});

Export as JSON

The following example exports form field data as JSON.

<button id="exportJson">Export JSON</button>
// ...same imports and viewer initialization as above...
document.getElementById('exportJson')!.addEventListener('click', () => {
  viewer.exportFormFields('FormData', FormFieldDataFormat.Json);
});

Export as Object

Use exportFormFieldsAsObject() to obtain form data as a TypeScript object for database or API integration.

<button id="exportObj">Export Object</button>
// ...same imports and viewer initialization as above...

let exportedData: object | undefined;
document.getElementById('exportObj')!.addEventListener('click', () => {
  viewer.exportFormFieldsAsObject(FormFieldDataFormat.Fdf).then(data => {
    exportedData = data; // Persist or send to server
    console.log('Exported object:', exportedData);
  });

  // Alternatives:
  // viewer.exportFormFieldsAsObject(FormFieldDataFormat.Xfdf).then(...)
  // viewer.exportFormFieldsAsObject(FormFieldDataFormat.Json).then(...)
});

Common Use Cases

  • Save user-entered data to your server without altering the original PDF.
  • Export as JSON for REST API integration.
  • Export as FDF/XFDF for compatibility with other PDF tools.
  • Export as Object to merge with app state or store securely.
  • Automate exports after validation using validateFormFields()

View Sample on GitHub

See also

Export PDF Form Data from Vue PDF Viewer

4 Feb 20267 minutes to read

The PDF Viewer allows you to export form field data in multiple formats for easy storage or integration. Supported formats:

Available methods

How to export

Use exportFormFields() with an optional destination path and the format type.

Export as FDF

The following example exports form field data as FDF.

<template>
  <div>
    <button @click="exportFdf">Export FDF</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    exportFdf() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      // Destination is optional; if omitted the browser will prompt.
      pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Fdf);
    }
  }
};
</script>

Export as XFDF

The following example exports form field data as XFDF.

<template>
  <div>
    <button @click="exportXfdf">Export XFDF</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    exportXfdf() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Xfdf);
    }
  }
};
</script>

Export as JSON

The following example exports form field data as JSON.

<template>
  <div>
    <button @click="exportJson">Export JSON</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
    };
  },
  methods: {
    exportJson() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Json);
    }
  }
};
</script>

Export as Object

Use exportFormFieldsAsObject() to obtain form data as a JavaScript object for database or API integration.

<template>
  <div>
    <button @click="exportObj">Export Object</button>
    <ejs-pdfviewer id="pdfViewer" ref="pdfviewer" :documentPath="documentPath" :resourceUrl="resourceUrl" style="height:640px" />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  Annotation,
  TextSelection,
  TextSearch,
  FormFields,
  FormDesigner,
  PageOrganizer,
} from '@syncfusion/ej2-vue-pdfviewer';
import { FormFieldDataFormat } from '@syncfusion/ej2-pdfviewer';

export default {
  components: { 'ejs-pdfviewer': PdfViewerComponent },
  provide: { PdfViewer: [Toolbar, Magnification, Navigation, Annotation, TextSelection, TextSearch, FormFields, FormDesigner, PageOrganizer] },
  data() {
    return {
      documentPath: 'https://cdn.syncfusion.com/content/pdf/form-filling-document.pdf',
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.1.23/dist/ej2-pdfviewer-lib',
      exportedData: null
    };
  },
  methods: {
    exportObj() {
      const pdfviewer = this.$refs.pdfviewer.ej2Instances;
      pdfviewer.exportFormFieldsAsObject(FormFieldDataFormat.Fdf).then(data => {
        this.exportedData = data; // Persist or send to server
        console.log('Exported object:', this.exportedData);
      });
    }
  }
};
</script>

Common Use Cases

  • Save user-entered data to your server without altering the original PDF.
  • Export as JSON for REST API integration.
  • Export as FDF/XFDF for compatibility with other PDF tools.
  • Export as Object to merge with app state or store securely.
  • Automate exports after validation using validateFormFields()

View Sample on GitHub

See also

Export PDF Form Data from React PDF Viewer

10 Mar 20266 minutes to read

This guide shows concise, actionable steps to export PDF form field data for storage or integration. It covers:

Steps

1. Configure the PDF Viewer

Install and import the viewer with required services.

  • TS
  • import {
        PdfViewerComponent, Toolbar, Magnification, Navigation, Annotation, LinkAnnotation,
        ThumbnailView, BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner,
        PageOrganizer, Inject, Print, FormFieldDataFormat
    } from '@syncfusion/ej2-react-pdfviewer';
    import { RefObject, useRef } from 'react';

    2. Initialize ref

    Initialize the viewer with a ref so you can call export methods.

  • TS
  • const viewerRef: RefObject<PdfViewerComponent> = useRef(null);

    3. Export as FDF

    Use exportFormFields(destination?, FormFieldDataFormat.Fdf) to download an FDF file.

  • TS
  • viewerRef.current?.exportFormFields('FormData', FormFieldDataFormat.Fdf);

    4. Export as XFDF

    Use FormFieldDataFormat.Xfdf to export XFDF.

  • TS
  • viewerRef.current?.exportFormFields('FormData', FormFieldDataFormat.Xfdf);

    5. Export as JSON

    Use FormFieldDataFormat.Json to export form data as a JSON file.

  • TS
  • viewerRef.current?.exportFormFields('FormData', FormFieldDataFormat.Json);

    6. Export as a JavaScript object

    Use exportFormFieldsAsObject(format) to get data for API calls or storing in a database.

  • TS
  • const data = await viewerRef.current?.exportFormFieldsAsObject();

    Complete example

    The example below provides a single page with buttons to export in all supported formats. It uses the same imports shown above and is ready to run in a typical React app.

    import {
        PdfViewerComponent, Toolbar, Magnification, Navigation, Annotation, LinkAnnotation,
        ThumbnailView, BookmarkView, TextSelection, TextSearch, FormFields, FormDesigner,
        PageOrganizer, Inject, Print, FormFieldDataFormat
    } from '@syncfusion/ej2-react-pdfviewer';
    import { RefObject, useRef } from 'react';
    
    export default function App() {
        const viewerRef: RefObject<PdfViewerComponent> = useRef(null);
    
        const onExportFdf = () => {
            viewerRef.current?.exportFormFields('FormData', FormFieldDataFormat.Fdf);
        };
    
        const onExportXfdf = () => {
            viewerRef.current?.exportFormFields('FormData', FormFieldDataFormat.Xfdf);
        };
    
        const onExportJson = () => {
            viewerRef.current?.exportFormFields('FormData', FormFieldDataFormat.Json);
        };
    
        const onExportObject = async () => {
            const data = await viewerRef.current?.exportFormFieldsAsObject();
            console.log('Exported object:', data);
        };
    
        return (
            <div className='control-section'>
                <div style={{ marginBottom: 12 }}>
                    <button onClick={onExportFdf} id="exportFdf">Export FDF</button>
                    <button onClick={onExportXfdf} id="exportXfdf">Export XFDF</button>
                    <button onClick={onExportJson} id="exportJson">Export JSON</button>
                    <button onClick={onExportObject} id="exportObj">Export Object</button>
                </div>
                <PdfViewerComponent
                    ref={viewerRef}
                    id="container"
                    documentPath="https://cdn.syncfusion.com/content/pdf/form-designer.pdf"
                    resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
                    style={{ height: '680px' }}
                >
                    <Inject services={[Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView, ThumbnailView, TextSelection, FormFields, FormDesigner, TextSearch, PageOrganizer, Print]} />
                </PdfViewerComponent>
            </div>
        );
    }

    View Sample on GitHub

    Troubleshooting

    • Ensure FormFields and FormDesigner services are injected when using form APIs.
    • Confirm resourceUrl points to the matching ej2-pdfviewer-lib version.
    • If exports fail in restrictive browsers, check popup/download settings and CORS for hosted endpoints.
    • For server-side persistence, use exportFormFieldsAsObject() and send the result to your API.

    See also

Export PDF Form Data from Angular PDF Viewer

7 Apr 20265 minutes to read

This guide shows concise, actionable steps to export PDF form field data for storage or integration. It covers:

Steps

1. Configure the PDF Viewer

Install and import the viewer with required services.

  • TS
  • import {
        PdfViewerComponent, ToolbarService, MagnificationService, NavigationService,
        AnnotationService, TextSelectionService, TextSearchService, FormFieldsService,
        FormDesignerService, PdfViewerModule, FormFieldDataFormat
    } from '@syncfusion/ej2-angular-pdfviewer';
    import { Component, ViewChild } from '@angular/core';

    2. Initialize reference

    Initialize the viewer with a @ViewChild so you can call export methods.

  • TS
  • @ViewChild('pdfViewer') public pdfviewer!: PdfViewerComponent;

    3. Export as FDF

    Use exportFormFields(destination?, FormFieldDataFormat.Fdf) to download an FDF file.

  • TS
  • this.pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Fdf);

    4. Export as XFDF

    Use FormFieldDataFormat.Xfdf to export XFDF.

  • TS
  • this.pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Xfdf);

    5. Export as JSON

    Use FormFieldDataFormat.Json to export form data as a JSON file.

  • TS
  • this.pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Json);

    6. Export as a JavaScript object

    Use exportFormFieldsAsObject(format) to get data for API calls or storing in a database.

  • TS
  • const data = await this.pdfviewer.exportFormFieldsAsObject();

    Complete example

    The example below provides a single page with buttons to export in all supported formats. It uses the same imports shown above and is ready to run in a typical Angular app.

    import { Component, ViewChild } from '@angular/core';
    import {
      ToolbarService,
      MagnificationService,
      NavigationService,
      AnnotationService,
      TextSelectionService,
      TextSearchService,
      FormFieldsService,
      FormDesignerService,
      PdfViewerModule,
      PdfViewerComponent,
      FormFieldDataFormat,
    } from '@syncfusion/ej2-angular-pdfviewer';
    
    @Component({
      selector: 'app-root',
      standalone: true,
      imports: [PdfViewerModule],
      template: `
        <div class="control-section">
          <div style="margin-bottom: 12px">
            <button (click)="exportFdf()" id="exportFdf">Export FDF</button>
            <button (click)="exportXfdf()" id="exportXfdf">Export XFDF</button>
            <button (click)="exportJson()" id="exportJson">Export JSON</button>
            <button (click)="exportObj()" id="exportObj">Export Object</button>
          </div>
          <ejs-pdfviewer #pdfViewer id="container"
            [resourceUrl]="resourceUrl"
            [documentPath]="document"
            style="height: 680px; width: 100%"></ejs-pdfviewer>
        </div>
      `,
      providers: [
        ToolbarService,
        MagnificationService,
        NavigationService,
        AnnotationService,
        TextSelectionService,
        TextSearchService,
        FormFieldsService,
        FormDesignerService,
      ],
    })
    export class AppComponent {
      public document: string = 'https://cdn.syncfusion.com/content/pdf/form-designer.pdf';
      public resourceUrl: string = 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib';
    
      @ViewChild('pdfViewer') public pdfviewer!: PdfViewerComponent;
    
      exportedData: object | undefined;
    
      exportFdf(): void {
        this.pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Fdf);
      }
    
      exportXfdf(): void {
        this.pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Xfdf);
      }
    
      exportJson(): void {
        this.pdfviewer.exportFormFields('FormData', FormFieldDataFormat.Json);
      }
    
      exportObj(): void {
        this.pdfviewer.exportFormFieldsAsObject(FormFieldDataFormat.Fdf).then(data => {
          this.exportedData = data;
          console.log('Exported object:', this.exportedData);
        });
      }
    }

    Troubleshooting

    • Ensure FormFieldsService and FormDesignerService are injected when using form APIs.
    • Confirm resourceUrl points to the matching ej2-pdfviewer-lib version.
    • If exports fail in restrictive browsers, check popup/download settings and CORS for hosted endpoints.
    • For server-side persistence, use exportFormFieldsAsObject() and send the result to your API.

    View Sample on GitHub

    See also